import { ComponentPublicInstance, PublicPropertiesMap } from '../componentPublicInstance';
import { Slots } from '../componentSlots';
export declare type LegacyPublicInstance = ComponentPublicInstance & LegacyPublicProperties;
export interface LegacyPublicProperties {
    $set(target: object, key: string, value: any): void;
    $delete(target: object, key: string): void;
    $mount(el?: string | Element): this;
    $destroy(): void;
    $scopedSlots: Slots;
    $on(event: string | string[], fn: Function): this;
    $once(event: string, fn: Function): this;
    $off(event?: string | string[], fn?: Function): this;
    $children: LegacyPublicProperties[];
    $listeners: Record<string, Function | Function[]>;
}
export declare function installCompatInstanceProperties(map: PublicPropertiesMap): void;
//# sourceMappingURL=instance.d.ts.map