import { VNode } from './vnode';
import { ConcreteComponent } from './component';
declare type ComponentVNode = VNode & {
    type: ConcreteComponent;
};
declare type TraceEntry = {
    vnode: ComponentVNode;
    recurseCount: number;
};
declare type ComponentTraceStack = TraceEntry[];
export declare function pushWarningContext(vnode: VNode): void;
export declare function popWarningContext(): void;
export declare function warn(msg: string, ...args: any[]): void;
export declare function getComponentTrace(): ComponentTraceStack;
export {};
//# sourceMappingURL=warning.d.ts.map