import { Component } from '../component';
interface LegacyAsyncOptions {
    component: Promise<Component>;
    loading?: Component;
    error?: Component;
    delay?: number;
    timeout?: number;
}
declare type LegacyAsyncReturnValue = Promise<Component> | LegacyAsyncOptions;
declare type LegacyAsyncComponent = (resolve?: (res: LegacyAsyncReturnValue) => void, reject?: (reason?: any) => void) => LegacyAsyncReturnValue | undefined;
export declare function convertLegacyAsyncComponent(comp: LegacyAsyncComponent): Component<any, any, any, import("..").ComputedOptions, import("..").MethodOptions>;
export {};
//# sourceMappingURL=componentAsync.d.ts.map