import { ComponentInternalInstance } from '../component';
import { ObjectDirective, DirectiveHook } from '../directives';
export interface LegacyDirective {
    bind?: DirectiveHook;
    inserted?: DirectiveHook;
    update?: DirectiveHook;
    componentUpdated?: DirectiveHook;
    unbind?: DirectiveHook;
}
export declare function mapCompatDirectiveHook(name: keyof ObjectDirective, dir: ObjectDirective & LegacyDirective, instance: ComponentInternalInstance | null): DirectiveHook | DirectiveHook[] | undefined;
//# sourceMappingURL=customDirective.d.ts.map