import { ComponentInternalInstance } from '../component';
import { Slot } from '../componentSlots';
import { VNode } from '../vnode';
export declare function legacyBindObjectProps(data: any, _tag: string, value: any, _asProp: boolean, isSync?: boolean): any;
export declare function legacyBindObjectListeners(props: any, listeners: any): import("../component").Data & import("../vnode").VNodeProps;
export declare function legacyRenderSlot(instance: ComponentInternalInstance, name: string, fallback?: VNode[], props?: any, bindObject?: any): VNode<import("..").RendererNode, import("..").RendererElement, {
    [key: string]: any;
}>;
declare type LegacyScopedSlotsData = Array<{
    key: string;
    fn: Function;
} | LegacyScopedSlotsData>;
export declare function legacyresolveScopedSlots(fns: LegacyScopedSlotsData, raw?: Record<string, Slot>, hasDynamicKeys?: boolean): Record<string, Slot>;
export declare function legacyRenderStatic(instance: ComponentInternalInstance, index: number): any;
export declare function legacyCheckKeyCodes(instance: ComponentInternalInstance, eventKeyCode: number, key: string, builtInKeyCode?: number | number[], eventKeyName?: string, builtInKeyName?: string | string[]): boolean | undefined;
export declare function legacyMarkOnce(tree: VNode): VNode<import("..").RendererNode, import("..").RendererElement, {
    [key: string]: any;
}>;
export declare function legacyBindDynamicKeys(props: any, values: any[]): any;
export declare function legacyPrependModifier(value: any, symbol: string): any;
export {};
//# sourceMappingURL=renderHelpers.d.ts.map