import { ConcreteComponent } from '../component';
import { Directive } from '../directives';
import { VNodeTypes } from '../vnode';
export declare const COMPONENTS = "components";
export declare const DIRECTIVES = "directives";
export declare const FILTERS = "filters";
export declare type AssetTypes = typeof COMPONENTS | typeof DIRECTIVES | typeof FILTERS;
/**
 * @private
 */
export declare function resolveComponent(name: string, maybeSelfReference?: boolean): ConcreteComponent | string;
export declare const NULL_DYNAMIC_COMPONENT: unique symbol;
/**
 * @private
 */
export declare function resolveDynamicComponent(component: unknown): VNodeTypes;
/**
 * @private
 */
export declare function resolveDirective(name: string): Directive | undefined;
/**
 * v2 compat only
 * @internal
 */
export declare function resolveFilter(name: string): Function | undefined;
//# sourceMappingURL=resolveAssets.d.ts.map