import { ConcreteComponent, ComponentInternalInstance, ComponentOptions, ClassComponent } from './component';
export declare let isHmrUpdating: boolean;
export declare const hmrDirtyComponents: Set<ConcreteComponent<{}, any, any, import("./componentOptions").ComputedOptions, import("./componentOptions").MethodOptions>>;
export interface HMRRuntime {
    createRecord: typeof createRecord;
    rerender: typeof rerender;
    reload: typeof reload;
}
export declare function registerHMR(instance: ComponentInternalInstance): void;
export declare function unregisterHMR(instance: ComponentInternalInstance): void;
declare function createRecord(id: string, component: ComponentOptions | ClassComponent): boolean;
declare function rerender(id: string, newRender?: Function): void;
declare function reload(id: string, newComp: ComponentOptions | ClassComponent): void;
export {};
//# sourceMappingURL=hmr.d.ts.map