import { RootRenderFunction, CreateAppFunction, RootHydrateFunction } from '@vue/runtime-core';
declare module '@vue/reactivity' {
    interface RefUnwrapBailTypes {
        runtimeDOMBailTypes: Node | Window;
    }
}
export declare const render: RootRenderFunction<Element>;
export declare const hydrate: RootHydrateFunction;
export declare const createApp: CreateAppFunction<Element>;
export declare const createSSRApp: CreateAppFunction<Element>;
export { useCssModule } from './helpers/useCssModule';
export { useCssVars } from './helpers/useCssVars';
export { Transition, TransitionProps } from './components/Transition';
export { TransitionGroup, TransitionGroupProps } from './components/TransitionGroup';
export { vModelText, vModelCheckbox, vModelRadio, vModelSelect, vModelDynamic } from './directives/vModel';
export { withModifiers, withKeys } from './directives/vOn';
export { vShow } from './directives/vShow';
export * from '@vue/runtime-core';
//# sourceMappingURL=index.d.ts.map