export declare class File {
    filename: string;
    code: string;
    compiled: {
        js: string;
        css: string;
        ssr: string;
    };
    constructor(filename: string, code?: string);
}
interface Store {
    files: Record<string, File>;
    activeFilename: string;
    readonly activeFile: File;
    readonly importMap: string | undefined;
    errors: (string | Error)[];
}
export declare const store: Store;
export declare function exportFiles(): Record<string, string>;
export declare function setActive(filename: string): void;
export declare function addFile(filename: string): void;
export declare function deleteFile(filename: string): void;
export {};
//# sourceMappingURL=store.d.ts.map